* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}

body {
    background-color: #DFD;
    color: #345;
    font-family: Verdana, sans-serif;
}

.container {
    margin: 4px 8px;
}

.header-primary {
    background-color: rgb(20, 20, 200);
    color: rgb(240, 240, 240);
    min-height: 80px;
    text-align: center;
}

.page-body {
    display: flex;
    flex-flow: row wrap;
}

.nav-primary {
    background-color: rgb(255, 165, 0);
    min-height: 70px;
    flex-grow: 1;
    flex-basis: 260px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 10px 8px;
}

.nav-primary a {
    border: 2px solid #234;
    padding: 8px 12px;
    background-color: rgb(255, 195, 40);
    color: #234;
    text-decoration: none;
    display: inline-block;
}

.nav-primary .desktop {
    display: none;
}

.nav-primary .phone {
    border: 4px solid black;
    display: inline-block;
}

article {
    background-color: rgba(255, 255, 255, 0.7);
    flex-grow: 1;
}

article > header {
    background-color: rgb(20, 200, 20);
    min-height: 60px;
    margin: 8px;
}

header + figure.hero {
    background-color: rgb(220, 220, 20);
    min-height: 200px;
    margin: 8px;
    background-image: url(../images/jesus_resurrected.jpg);
    background-position: center;
    background-size: cover;
    aspect-ratio: 2/1;
}

article p {
    font-size: 1.2em;
    line-height: 1.4;
    margin: 0.2em 8px 1em 8px;
}

article footer {
    background-color: rgb(100, 100, 100);
    color: #EEE;
    min-height: 60px;
}

.fancy-button {
    background: linear-gradient(to right, #4facfe, #00f2fe);
    border: 2px solid #234;
    padding: 10px 16px;
    color: white;
    font-weight: bold;
    border-radius: 8px;
    text-decoration: none;
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.3);
    transition: background-color 0.3s ease, transform 0.2s ease;
}

.fancy-button:hover {
    background: linear-gradient(to right, #00f2fe, #4facfe);
    transform: scale(1.05);
}

@media screen and (min-width: 1020px) {
    .nav-primary {
        flex-grow: 0;
    }

    .header-primary {
        text-align: left;
    }

    article > header {
        margin: 0;
        text-align: left;
    }

    header + figure.hero {
        margin: 16px;
        width: 260px;
        aspect-ratio: 1;
        float: left;
    }

    article > p:nth-of-type(1) {
        margin-top: 16px;
    }

    article > p:nth-of-type(1)::first-letter {
        display: block;
        color: darkred;
        font-size: left;
        padding-right: 8px;
    }

    article {
        flex-basis: 400px;
    }

    .nav-primary .desktop {
        display: inline-block;
    }
}